Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.swrl.bridge.builtins.swrlxml
Class XMLProcessor

    java.lang.Object
      edu.stanford.smi.protegex.owl.swrl.bridge.builtins.swrlxml.XMLProcessor

    public class XMLProcessor

extends Object

Constructor Summary
`XMLProcessor()`

Method Summary
`void` | `generateXMLFile(org.jdom.Document doc, String outputXMLFileName)` Method that writes an XML file from an instance of a Document.
`String` | `generateXMLString(org.jdom.Document doc)` Method that writes an XML string from an instance of a Document.
`org.jdom.Document` | `processXMLStream(String inputXMLStreamName)` Method that reads a simple XML file and generates an instance of a Document from it.
`org.jdom.Document` | `processXMLString(String inputXMLString)` Method that reads an XML string and generates an instance of a Document from it.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLProcessor

    public XMLProcessor()

Method Detail

### generateXMLFile

    public void generateXMLFile(org.jdom.Document doc,
                                String outputXMLFileName)
                         throws XMLProcessorException

  Method that writes an XML file from an instance of a Document.

  Throws:
    `XMLProcessorException`

### generateXMLString

    public String generateXMLString(org.jdom.Document doc)
                             throws XMLProcessorException

  Method that writes an XML string from an instance of a Document.

  Throws:
    `XMLProcessorException`

### processXMLStream

    public org.jdom.Document processXMLStream(String inputXMLStreamName)
                                       throws XMLProcessorException

  Method that reads a simple XML file and generates an instance of a Document from it.

  Throws:
    `XMLProcessorException`

### processXMLString

    public org.jdom.Document processXMLString(String inputXMLString)
                                       throws XMLProcessorException

  Method that reads an XML string and generates an instance of a Document from it.

  Throws:
    `XMLProcessorException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.